Subject: bug#42267: Fontification takes a long time when an equation contains a double prime

From: PierGianLuca Porta Mana <[email-masked]>
Date: Sat, 11 Jul 2020 08:37:50 +0200

Hi Ikumi, thank you for taking care of this.

I wonder what other people's opinions would be about turning *off* raw-quotes highlighting by default (is it on by default?) – or maybe eliminating it altogether. There would be several reason for this:

– Quirks with apostrophes used in math mode, as the present bug showed; and also the complexity of distinguishing a genitive apostrophe ("the students' books") from a closing quote mark in a single-quote style, which often occurs in British writings for example.

– Quirks with multi-paragraph quotes, when one uses the quotation style that repeats the opening quotes (but not the closing quotes) at each paragraph.

– Syntactically it's best to introduce quotations with an appropriate macro, eg \enquote{} from the csquotes package, which also automatically takes care of quotation styles like the ones mentioned above.

Just some thoughts.
Cheers,
Luca

On 2020-07-11 07:55, Ikumi Keita wrote:
>>>>>> Ikumi Keita <[email-masked]> writes:
>> I think the behavior of the above item 1 is a bug. When f-l-e-r-b-q
>> cannot find a matching opening quote, it should just give up to extend
>> the region anymore.
> 
> After reconsideration, I realized that such giving up is not appropriate
> when that unmatched close quote has, in front of it, other open-close
> quote pairs. Examples:
>        abc ``def ghi'' jkl $y''=x^{2}$
>        abc <<def ghi>> jkl $y''=x^{2}$
> 
> So the correct way is to continue searching backwards another close
> quote, I think. The revised patch is attached. I'll install it soon.
> 
> Regards,
> Ikumi Keita
> 
> 
> _______________________________________________
> bug-auctex mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-auctex
>